Skip to main content
`Ctrl`+`K`

# PetscDeviceContext

Container to manage stream dependencies and the various solver handles for asynchronous device compute.

## Synopsis

    #include <petscdevicetypes.h>
    typedef struct _p_PetscDeviceContext *PetscDeviceContext;

## See Also

`PetscDevice`, `PetscDeviceContextCreate()`, `PetscDeviceContextSetDevice()`, `PetscDeviceContextDestroy()`, `PetscDeviceContextFork()`, `PetscDeviceContextJoin()`

## Level

beginner

## Location

include/petscdevicetypes.h

## Examples

src/mat/tutorials/ex7.c

## Implementations

_p_PetscDeviceContext in include/petsc/private/deviceimpl.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages